package com.ruoyi.system.service.stamp;

import com.github.pagehelper.PageInfo;
import com.ruoyi.system.domain.stamp.request.CarDinnerExamineRequest;
import com.ruoyi.system.domain.stamp.request.CarExamineSaveRequest;
import com.ruoyi.system.domain.stamp.vo.CarExamineDetail;
import com.ruoyi.system.domain.stamp.vo.CarExaminePageItem;

/**
 * * Author: brenda
 * * 2025/2/8
 **/
public interface CarExamineService {

    void save(CarExamineSaveRequest request);

    void apply(CarDinnerExamineRequest request);

    CarExamineDetail detail(String id, String userId);

    PageInfo<CarExaminePageItem> page(String title, String status, String userId);

    void reSubmit(CarExamineSaveRequest request);

}
